<ion-view cache-view="false" title="PROGRAMME" ng-controller="adminScheduleCtrl as ctrl">

  <ion-content>

    <ion-list ng-repeat="items in ctrl.schedule | groupBy: 'general.day' | reverse ">
      <div class="item item-divider"> {{items[0].general.day| date:'EEEE, dd MMM yyyy'}} </div>
      <ion-item ng-repeat="conference in items| orderBy:'general.origin'" ng-click="ctrl.editProgramme(conference.$id, conference.type)">
        <h2 class="title">
          <i class="icon" ng-class="conference.type === 'Conference' ? 'ion-mic-a' : 'ion-coffee'"></i>
          {{conference.general.name}}
        </h2>
        <div class="time">
          <i class="ion-ios-clock-outline"></i>
          <span class="start">{{conference.general.start}}</span> -
          <span class="end">{{conference.general.end}}</span> | <span class="end">{{conference.general.day| date: 'MM/dd/yyyy'}}</span>
        </div>
      </ion-item>
    </ion-list>

  </ion-content>

  <ion-footer-bar align-title="left" class="bar-calm">
    <div class="buttons">
      <button class="button" ng-click="ctrl.addProgramme('Conference')">
        Add Conference
      </button>
      <button class="button" ng-click="ctrl.addProgramme('Brake')">
        Add Brake
      </button>
    </div>
  </ion-footer-bar>

</ion-view>
